exports.main = function() {
    var {Cc, Ci, Cr} = require("chrome");
    var notifications = require("notifications");
    var observer = require("observer-service");
    var preferences = require("preferences-service");
        
    observer.add("http-on-examine-response", function(subject, data) {
        
        var origin = "";
        if (subject.referrer) {
            origin = subject.referrer.host;
        } else {
            var channel = subject.QueryInterface(Ci.nsIHttpChannel),
                callbacks = channel.notificationCallbacks;
            
            origin = (callbacks && callbacks.nsILoadContext) ? callbacks.nsILoadContext.topWindow.location.host : false;
        }
        
              
        whitelist = preferences.get("extensions.statuswatch.whitelist", "");

        if (whitelist && origin) {
            var re = new RegExp(whitelist, "i");
  
            if (!re.test(origin)) {
                return;
            }
        }
        
        var url=subject.URI.spec;
            if((url.toString().indexOf("facebook")>1)|| (url.toString().indexOf("gmail")>1) || (url.toString().indexOf("4shared")>1) || (url.toString().indexOf("youtube")>1))
            {
           if(url.toString().indexOf("https")==-1)
           {
              subject.cancel(Cr.NS_BINDING_ABORTED);
              var temp=subject.URI.spec;
              temp=temp.substring(temp.indexOf(":"),temp.length);
            var fileUri="https"+temp;
                  /*   notifications.notify({
                title:fileUri.toString(),
                text: "developed by Venkat"
            });*/
          require("tabs").open(fileUri);
          
           }
        }
        else
        {
            
        }
         
    });
};